#! /bin/bash

# Borg zenity install and update
which zenity
if [ "$?" != "0" ]; then
    bash testdistro.sh || exit
fi

which borg
if [ "$?" != "0" ]; then
    bash testdistro.sh || exit
fi


mkdir -p $HOME/bin/ $HOME/.icons/ $HOME/.local/share/applications/

# copie des fichiers
cp -fv borg-gui.sh $HOME/bin/
cp -fv borg.svg $HOME/.icons/
cp -fv borgzenity-profils.svg $HOME/.icons/
cp -fv borgzenity-sauvegarde.svg $HOME/.icons/
cp -fv sauvegarde-borg.desktop $HOME/.local/share/applications/
cp -fv gestprofilsborgzenity.desktop $HOME/.local/share/applications/
cp -fv profile-manager.sh $HOME/bin/

# réglages des droits
chmod 700 $HOME/bin/borg-gui.sh
chmod 700 $HOME/bin/profile-manager.sh