﻿# Borg Zenity

Une interface graphique en français pour BorgBackup.

Pre-requis : Borg-zeniy utilise `borgbackup` et `zenity` pour fonctionner.
Le script devrait les installer automatiquement en détectant votre distribution.
S'il n'y parvient pas vous devrez les installer manuellement.

## Installation (version de développement)
Avant tout sachez que la version dans la branche `dev` est encore en test.
L'installation devrait pouvoir se faire en une ligne de commande. Copiez ceci dans votre terminal.
```
wget -O borg-zenity.zip https://git.djan-gicquel.fr/borg-zenity/zipball/dev && unzip -d borg-zenity borg-zenity.zip && cd borg-zenity && bash install.sh
```
Cette commande va télécharger les fichiers d'installation et exécuter le script d'installation.

Vous devrez entrer votre mot de passe administrateur et répondre oui ou Y ou YES lorsque le gestionnaire de paquet de votre distribution vous demandera d'installer les paquets `borgbackup` et `zenity`.

Une fois l’installation terminée vous pouvez supprimmer le fichier `borg-zenity.zip` et le dossier `borg-zenity`.

## Gestionnaire de profils
![icône gestionnaire de profils](https://git.djan-gicquel.fr/borg-zenity/blob/dev/borgzenity-profils.svg)
Si vous n'utilisez pas encore `borgbackup` (ce qui normalement est le cas), il faudra tout d'abord créer un profil de sauvegarde.
Pour cela utiliser l’icône "Borg Zenity Profils" dans votre menu principal et sélectionnez «Créer un nouveau profil/dépôt».
Sélectionnez le dossier dans lequel sera créé le dépôt. C'est l'emplacement de votre sauvegarde, en général on utilise un disque dur externe.
Puis répondez à la question concernant le chiffrement du dépôt. Les fichiers du dépôt sont initialisés.
Sélectionnez ensuite un dossier à sauvegarder puis choisissez un nom de profil. Celui-ci sera stocké comme fichier donc évitez si possible les espaces et les caractères spéciaux.

Il n'est pour l'instant pas possible de supprimer un profil via l'interface car la suppression laisserait des traces dans la configuration de borgbackup.
Pour supprimer un dépôt, rendez-vous dans le dossier du dépôt, ouvrez un terminal et tapez `borg delete .` puis validez avec "YES" si vous êtes sur de vous. Le dépôt sera supprimé proprement. Il faudra également supprimer le fichier de profil dans `~/.config/borg/` pour qu'il n'apparaisse plus dans borg-zenity.


## Interface principale
![icône interface principale](https://git.djan-gicquel.fr/borg-zenity/blob/dev/borgzenity-sauvegarde.svg)
Pour lancer l'interface principale cliquez sur l'icône «Borg Zenity Sauvegarde» dans le menu et sélectionnez le profil voulu.
En vocabulaire borg, une archive est une sauvegarde.

Pour créer une sauvegarde cliquez sur «Créer une archive». La première sauvegarde prendra du temps, les suivantes seront plus rapide.

Pour voir le contenu d'une archive déjà sauvegardée cliquez sur «Monter une archive». Un nouveau dossier sera créé en lecture seule dans votre dossier maison. Il contiendra les fichiers de l'archive. Pensez à démonter l'archive dans le menu correspondant avant de quitter Borg Zenity.

Pour quitter Borg Zenity sélectionnez «QUITTER» puis validez ceci afin pouvoir faire quelques tests avant de quitter le logiciel.
